=== drivers/input/touchscreen/Makefile ===
#
# Makefile for the touchscreen input drivers.
#

# Each configuration option enables a list of files.

obj-$(CONFIG_TOUCHSCREEN_ADS7846)	+= ads7846.o
obj-$(CONFIG_TOUCHSCREEN_BITSY)	+= h3600_ts_input.o
obj-$(CONFIG_TOUCHSCREEN_CORGI)	+= corgi_ts.o
obj-$(CONFIG_TOUCHSCREEN_GUNZE)	+= gunze.o
obj-$(CONFIG_TOUCHSCREEN_ELO)	+= elo.o
obj-$(CONFIG_TOUCHSCREEN_MTOUCH) += mtouch.o
obj-$(CONFIG_TOUCHSCREEN_MK712)	+= mk712.o
obj-$(CONFIG_TOUCHSCREEN_HP600)	+= hp680_ts_input.o
obj-$(CONFIG_TOUCHSCREEN_OMAP)	+= omap/
