=== debian/changelog ===
kernel-source-2.6.16 (2.6.16.rel-osso26) unstable; urgency=low

  * week200638-1 release
  * Bluetooth: Rework dynamic clocks and follow state machine more carefully 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 19 Sep 2006 16:20:03 +0300

kernel-source-2.6.16 (2.6.16.rel-osso25.1) unstable; urgency=low

  * Special B3 build

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 14 Sep 2006 19:41:34 +0300

kernel-source-2.6.16 (2.6.16.rel-osso25) unstable; urgency=low

  * week200637-1 release
  * ARM: OMAP: DSP: Fix shared memory synchronization
  * Bluetooth: fix brf6150 jam 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 12 Sep 2006 14:29:59 +0300

kernel-source-2.6.16 (2.6.16.rel-osso24) unstable; urgency=low

  * week200636-1 release
  * lcd_mipid: implement HW reset as ESD recovery method
  * lcd_mipid: fix ESD check thread flags
  * lcd_mipid: Start / stop ESD checks only when it's supported

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Sep 2006 17:29:45 +0300

kernel-source-2.6.16 (2.6.16.rel-osso23) unstable; urgency=low

  * week200635-1 release
  * Enable Retu headset in defconfig
  * retu-headset: Brown paperbag fix
  * MMC: Add sysfs attributes for the WP switch

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 29 Aug 2006 18:01:49 +0300

kernel-source-2.6.16 (2.6.16.rel-osso22) unstable; urgency=low

  * week200634-1 core release
  * OMAP: MMC: Fix typo
  * MMC: Implement workaround for bad DATDIR1 pin behaviour
  * OMAP: MMC: Fix timeout calculation
  * Input: ads7846: detect if chip is alive at probe time
  * board-nokia770-ts: register ads7846 with default configuration

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 22 Aug 2006 13:19:35 +0300

kernel-source-2.6.16 (2.6.16.rel-osso21) unstable; urgency=low

  * week200633-1 release
  * Merge Retu headset driver from linux-g
  * ARM: OMAP: AIC-patch

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 15 Aug 2006 16:15:09 +0300

kernel-source-2.6.16 (2.6.16.rel-osso20) unstable; urgency=low

  * week200632-1 release
  * ARM: OMAP: omapfb: PM callbacks crash when device is not yet initialized
  * Use faster MMC frequency on Soyuz
  * MMC: Do not poll when cover is open and no cards are inserted
  * ARM: OMAP: PM: sleep is prevented when no LCD is attached
  * ARM: OMAP: tahvo-usb: turn off OTG idle mode during enabling

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  8 Aug 2006 12:31:14 +0300

kernel-source-2.6.16 (2.6.16.rel-osso19) unstable; urgency=low

  * week200631-2 release
  * ads7846: merge from upstream
  * OMAP: MMC: Fix suspend and resume
  * Always use a block size of 512 regardless of MMC/SD capacity

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  3 Aug 2006 14:10:03 +0300

kernel-source-2.6.16 (2.6.16.rel-osso18) unstable; urgency=low

  * week200631-1 release
  * Merge MMC driver from linux-g tree
  * Do the extra mmc_check_cards() to make some cards alive
  * ARM: OMAP: omapfb: merge in mainline lcd_mipid code
  * OMAP: MMC: Add support for limiting the maximum bus frequency
  * Limit the Sputnik MMC frequency to 12 MHz

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  1 Aug 2006 18:30:21 +0300

kernel-source-2.6.16 (2.6.16.rel-osso17) unstable; urgency=low

  * week200630-1 release
  * nokia770: improve touchscreen resolution for ls041y3 LCDs 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 26 Jul 2006 09:44:31 +0300

kernel-source-2.6.16 (2.6.16.rel-osso16) unstable; urgency=low

  * week200628-1 release
  * merged package branches
  * lph8923: keep a delay of two frames when disabling the LCD

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 11 Jul 2006 17:40:39 +0300

kernel-source-2.6.16 (2.6.16.rel-osso15+sojuz3) unstable; urgency=low

  * week200627-1 merged release 
  * lcd_lph8923: call cancel_rearming_delayed_work only on scheduled work
  * Use correct syscall number when restarting syscall
  * MMC: Fix bug where mmcqd gets stuck when block queue is plugged

 -- Mathias Nyman <mathias.nyman@nokia.com>  Wed,  5 Jul 2006 12:49:35 +0300

kernel-source-2.6.16 (2.6.16.rel-osso13+sojuz2) unstable; urgency=low

  * ARM: OMAP: omap_uwire: wait for tx complete before starting the next one
  * lph8923: reduce delay in LCD ESD check
  * lph8923: fix ESD check command sequence

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 12 Jun 2006 15:26:46 +0300

kernel-source-2.6.16 (2.6.16.rel-osso13+sojuz1) unstable; urgency=low

  * Sojuz release 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  9 Jun 2006 15:28:25 +0300

kernel-source-2.6.16 (2.6.16.rel-osso15) unstable; urgency=low

  * week200625-2 release
  * Use correct syscall number when restarting syscall 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 20 Jun 2006 17:08:36 +0300

kernel-source-2.6.16 (2.6.16.rel-osso14) unstable; urgency=low

  * week200624-1 release
  * MMC: Fix bug where mmcqd gets stuck when block queue is plugge

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Jun 2006 18:03:03 +0300

kernel-source-2.6.16 (2.6.16.rel-osso13) unstable; urgency=low

  * week200623-2 release
  * input: ads7846: detect pen up from IRQ state

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  6 Jun 2006 16:44:08 +0300

kernel-source-2.6.16 (2.6.16.rel-osso12) unstable; urgency=low

  * week200622-1 release
  * ARM: OMAP: omap_uwire: use arm_xor clock as functional clock
    - the uwire module uses the arm_xor as functional clock, not the arm_perclock
    - fix word size sanity check
  * update config
  * I2C: AIC23: Workaround for recovering from ESD spike
  * Hand-merge Linus' fix for SD/MMC umount oops
  * OMAP: Tahvo: Work around sleep mode problems with USB gadget
  * Compile lots of drivers as modules 
  * OMAP: Fix USB host issues on Nokia 770

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 30 May 2006 16:01:39 +0300

kernel-source-2.6.16 (2.6.16.rel-osso11) unstable; urgency=low

  * week200621-1 release

