=== debian/control ===
Source: kernel-source-2.6.16
Section: devel
Priority: optional
Maintainer: Ed Bartosh <Eduard.Bartosh@nokia.com>
Standards-Version: 3.6.1
XBCS-Scratchbox-Architecture: uarm
Build-Depends-Indep: bzip2, debhelper (>= 4)

Package: kernel-source-2.6.16
Architecture: all
Section: devel
Priority: optional
Provides: kernel-source, kernel-source-2.6, su-18-kernel-source
Depends: binutils, bzip2, coreutils | fileutils (>= 4.0)
Recommends: libc6-dev | libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
Description: Linux kernel source for version 2.6.13
 This package provides the source code for the Linux kernel version 2.6.13.
 .
 You may configure the kernel to your setup by typing "make config"
 and following instructions, but you could get ncursesX.X-dev and try
 "make menuconfig" for a jazzier, and easier to use interface. There 
 are options to use QT or GNOME based configuration interfaces, but they
 need additional packages to be installed.
 .
 If you wish to use this package to create a custom Linux kernel, then
 it is suggested that you investigate the package kernel-package,
 which has been designed to ease the task of creating kernel image
 packages.
