=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for kernel-source.
#
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 1999-2002 Herbert Xu <herbert@debian.org>
# Copyright (c) 2004 Jens Schmalzing <jensen@debian.org>
#

release := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }')
upstream := $(shell echo "$(release)" | sed 's/:\?\([0-9\.]\+\)-[0-9]*/\1/')
KSOURCE := $(shell sed -n 's/^Package: .*\(kernel-source-[^ ]\+\).*$$/\1/; t e; b; :e; p; q' debian/control)

build:

clean:
	dh_testdir
	dh_testroot

# Hack in case we killed it in the middle of something

	rm -rf BitKeeper
	find ./ -name .git -type d |xargs rm -rf
	make distclean
	rm -f modules/modversions.h modules/ksyms.ver debian/files conf.vars scripts/cramfs/cramfsck \
		scripts/cramfs/mkcramfs applied_patches debian/buildinfo stamp-* .config*
	rm -rf debian/tmp-*

	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

debian/kernel-tree-$(upstream).substvars: debian/make-substvars
	sh debian/make-substvars $(upstream) > $@

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot

	make HOSTCC=host-gcc n770_defconfig
	install -p -d -o root -g root -m 755 debian/tmp/usr/src/$(KSOURCE)
	tar cf - `echo * | sed -e 's/ debian//g' -e 's/\.deb//g' ` \
	| (cd debian/tmp/usr/src/$(KSOURCE); umask 000; tar xspf -)
	rm -rf debian/tmp-source/usr/src/$(KSOURCE)/include/asm
	#chmod -R og=rX debian/tmp
	#chown -R root:root debian/tmp
	cd debian/tmp/usr/src/ && \
	tar --bzip2 -cf $(KSOURCE).tar.bz2 $(KSOURCE) &&\
	rm -rf $(KSOURCE)

	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
