=== arch/arm/plat-omap/sti/Makefile ===
obj-y += sti.o sti-fifo.o

obj-$(CONFIG_OMAP_STI_CONSOLE)	+= sti-console.o
obj-$(CONFIG_NET)		+= sti-netlink.o
