=== debian/changelog ===
kernel-source-2.6.16 (2.6.16.rel-osso29) unstable; urgency=low

  * week200648-1 release
  * Allowing user processes to rise their oom_adj value 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 28 Nov 2006 15:36:14 +0200

kernel-source-2.6.16 (2.6.16.rel-osso28) unstable; urgency=low

  * Fixed last fix. 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 26 Oct 2006 15:54:59 +0300

kernel-source-2.6.16 (2.6.16.rel-osso27) unstable; urgency=low

  * The CSD value 3 is accepted. Fixes: NB#32843 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 26 Oct 2006 15:09:54 +0300
